Subject: bug#61274: 29.0.60; dabbrev-capf signals errors

From: Stefan Monnier <[email-masked]>
Date: Sat, 04 Feb 2023 12:13:27 -0500

> maybe dabbrev-capf is unsuitable to serve as the value of
> completion-at-point-functions?

As the name implies, it's a function designed specifically for use on
`completion-at-point-functions`.  Maybe dabbrev is not well adapted
for use within a normal completion UI, but `dabbrev-capf` should do its
best to obey the rules of `completion-at-point-functions`, so I think
the behavior Daniel suggests is indeed what `dabbrev-capf` should try
to do.

Those people who don't like it can use dabbrev via various other UIs.

        Stefan